Subject: [COSE] [Technical Errata Reported] RFC8152 (5650)

From: RFC Errata System <[email-masked]>
Date: Sun, 10 Mar 2019 20:09:30 -0700 (PDT)

The following errata report has been submitted for RFC8152,
"CBOR Object Signing and Encryption (COSE)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5650

--------------------------------------
Type: Technical
Reported by: Jim Schaad <[email-masked]>

Section: Section 13.2

Original Text
-------------
   | crv  | 1     | -1    | int /  | EC identifier - Taken from the    |
   |      |       |       | tstr   | "COSE Key Common Parameters"      |
   |      |       |       |        | registry                          |

Corrected Text
--------------
   | crv  | 1     | -1    | int /  | EC identifier - Taken from the    |
   |      |       |       | tstr   | "COSE Elliptic Curves" registry   |

Notes
-----
The set of curve identifiers lives in the COSE Elliptic Curves registry and not in the COSE Key Common Parameters registry.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8152 (draft-ietf-cose-msg-24)
--------------------------------------
Title               : CBOR Object Signing and Encryption (COSE)
Publication Date    : July 2017
Author(s)           : J. Schaad
Category            : PROPOSED STANDARD
Source              : CBOR Object Signing and Encryption
Area                : Security
Stream              : IETF
Verifying Party     : IESG